"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chainIsLinea = exports.chainIsArbitrum = exports.chainIsOPStack = exports.chainIsTestnet = exports.chainIsProd = exports.getNativeTokenSymbol = exports.getNetworkName = void 0;
var constants_1 = require("../constants");
var hreNetworks = {
    666: "Hardhat1",
    1337: "Hardhat2",
};
function getNetworkName(networkId) {
    var _a, _b, _c;
    networkId = Number(networkId);
    return (_c = (_b = (_a = constants_1.PUBLIC_NETWORKS[networkId]) === null || _a === void 0 ? void 0 : _a.name) !== null && _b !== void 0 ? _b : hreNetworks[networkId]) !== null && _c !== void 0 ? _c : "unknown";
}
exports.getNetworkName = getNetworkName;
function getNativeTokenSymbol(chainId) {
    var _a, _b;
    return (_b = (_a = constants_1.PUBLIC_NETWORKS[Number(chainId)]) === null || _a === void 0 ? void 0 : _a.nativeToken) !== null && _b !== void 0 ? _b : "ETH";
}
exports.getNativeTokenSymbol = getNativeTokenSymbol;
function chainIsProd(chainId) {
    return constants_1.PRODUCTION_CHAIN_IDS.includes(chainId);
}
exports.chainIsProd = chainIsProd;
function chainIsTestnet(chainId) {
    return constants_1.TESTNET_CHAIN_IDS.includes(chainId);
}
exports.chainIsTestnet = chainIsTestnet;
function chainIsOPStack(chainId) {
    return [
        constants_1.CHAIN_IDs.OPTIMISM,
        constants_1.CHAIN_IDs.BASE,
        constants_1.CHAIN_IDs.OPTIMISM_GOERLI,
        constants_1.CHAIN_IDs.BASE_GOERLI,
        constants_1.CHAIN_IDs.OPTIMISM_SEPOLIA,
        constants_1.CHAIN_IDs.BASE_SEPOLIA,
    ].includes(chainId);
}
exports.chainIsOPStack = chainIsOPStack;
function chainIsArbitrum(chainId) {
    return [constants_1.CHAIN_IDs.ARBITRUM, constants_1.CHAIN_IDs.ARBITRUM_GOERLI, constants_1.CHAIN_IDs.ARBITRUM_SEPOLIA].includes(chainId);
}
exports.chainIsArbitrum = chainIsArbitrum;
function chainIsLinea(chainId) {
    return [constants_1.CHAIN_IDs.LINEA, constants_1.CHAIN_IDs.LINEA_GOERLI].includes(chainId);
}
exports.chainIsLinea = chainIsLinea;
//# sourceMappingURL=NetworkUtils.js.map