"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSlowFillLeafLpFeePct = exports.isSlowFill = void 0;
var interfaces_1 = require("../interfaces");
var common_1 = require("./common");
function isSlowFill(fill) {
    return fill.relayExecutionInfo.fillType === interfaces_1.FillType.SlowFill;
}
exports.isSlowFill = isSlowFill;
function getSlowFillLeafLpFeePct(leaf) {
    var relayData = leaf.relayData, updatedOutputAmount = leaf.updatedOutputAmount;
    return relayData.inputAmount.sub(updatedOutputAmount).mul(common_1.fixedPointAdjustment).div(relayData.inputAmount);
}
exports.getSlowFillLeafLpFeePct = getSlowFillLeafLpFeePct;
//# sourceMappingURL=V3Utils.js.map